Skip to content
OpenCode
Esc
navigateopen⌘Jpreview

List integrations

Retrieve available integrations and their authentication methods.

GET/api/integration
Query parameters
locationobject | any
Responses
200Success
locationLocation.Inforequired
Show properties
directorystringrequired
workspaceIDobject
Show properties
object
projectobjectrequired
Show properties
idstringrequired
directorystringrequired
dataIntegration.Info[]required
Show properties
Array of Integration.Info
idstringrequired
namestringrequired
methodsIntegration.Method[]required
Show properties
Array of Integration.Method
Any of:
Integration.OAuthMethod
idstringrequired
typestringrequired
Allowed:oauth
labelstringrequired
promptsIntegration.TextPrompt | Integration.SelectPrompt[]
Show properties
Array of Integration.TextPrompt | Integration.SelectPrompt
Any of:
Integration.TextPrompt
typestringrequired
Allowed:text
keystringrequired
messagestringrequired
placeholderstring
whenIntegration.When
Show properties
keystringrequired
opstringrequired
Allowed:eqneq
valuestringrequired
Integration.SelectPrompt
typestringrequired
Allowed:select
keystringrequired
messagestringrequired
optionsobject[]required
Show properties
Array of object
labelstringrequired
valuestringrequired
hintstring
whenIntegration.When
Show properties
keystringrequired
opstringrequired
Allowed:eqneq
valuestringrequired
Integration.KeyMethod
typestringrequired
Allowed:key
labelstring
Integration.EnvMethod
typestringrequired
Allowed:env
namesstring[]required
connectionsConnection.Info[]required
Show properties
Array of Connection.Info
Any of:
Connection.CredentialInfo
typestringrequired
Allowed:credential
idstringrequired
labelstringrequired
Connection.EnvInfo
typestringrequired
Allowed:env
namestringrequired
400InvalidRequestError
_tagstringrequired
Allowed:InvalidRequestError
messagestringrequired
kindstring | any
Show properties
Any of:
string
string
any
any
fieldstring | any
Show properties
Any of:
string
string
any
any
401UnauthorizedError
_tagstringrequired
Allowed:UnauthorizedError
messagestringrequired
Request
curl -X GET "/api/integration"
Response
{
  "location": {
    "directory": "string",
    "workspaceID": {},
    "project": {
      "id": "string",
      "directory": "string"
    }
  },
  "data": [
    {
      "id": "string",
      "name": "string",
      "methods": [
        {
          "id": "string",
          "type": "oauth",
          "label": "string",
          "prompts": [
            {
              "type": "text",
              "key": "string",
              "message": "string",
              "placeholder": "string",
              "when": {
                "key": "string",
                "op": "eq",
                "value": "string"
              }
            }
          ]
        }
      ],
      "connections": [
        {
          "type": "credential",
          "id": "string",
          "label": "string"
        }
      ]
    }
  ]
}